Get a contract by id - Gable Docs

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/v0/contract/{id}

Try it

Get a contract by id

cURL

curl --request GET \
  --url https://demo-api.gable.ai/v0/contract/{id} \
  --header 'X-API-KEY: <api-key>'

Python

import requests

url = "https://demo-api.gable.ai/v0/contract/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/contract/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Example

200

{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "contractSpec": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "doc": "<string>",
    "name": "<string>",
    "namespace": "<string>",
    "owner": "jsmith@example.com",
    "schema": [
      {
        "type": "struct",
        "name": "<string>",
        "fields": [
          {
            "type": "struct",
            "name": "<string>",
            "fields": "<array>",
            "alias": "<string>",
            "doc": "<string>",
            "logical": "<string>",
            "optional": true
          }
        ],
        "alias": "<string>",
        "doc": "<string>",
        "logical": "<string>",
        "optional": true,
        "constraints": {}
      }
    ],
    "dataAssetResourceName": "<string>",
    "dataAssetResourceNameList": [
      "<string>"
    ],
    "restrictPii": true
  },
  "contractSpecRaw": "<string>",
  "violations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contractVersion": "<string>",
      "contractFieldName": "<string>",
      "entityType": "DATA_CONTRACT",
      "dataAssetResourceName": "<string>",
      "expectedValue": "<string>",
      "actualValue": "<string>",
      "eventTitle": "<string>",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contractName": "<string>",
      "contractDomain": "<string>",
      "dataAssetFieldProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventType": "VIOLATION",
      "prLink": "<string>"
    }
  ],
  "parentRowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": "<string>",
  "gitHash": "<string>",
  "gitRepo": "<string>",
  "gitUser": "<string>",
  "fileUri": "<string>",
  "filePath": "<string>",
  "reviewers": [
    "<string>"
  ],
  "mergedAt": "2023-11-07T05:31:56Z",
  "enforcementLevel": "INACTIVE",
  "lastEditorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "lastEditorEmail": "<string>",
  "lastEditorFirstName": "<string>",
  "lastEditorLastName": "<string>",
  "lastEditorGithubHandle": "<string>",
  "contractSpecFieldToViolationStatusMapping": {}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required
UUID of the contract